Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class OldCache.KeySet

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
com.tangosol.util.SafeHashMap.KeySet
com.tangosol.net.cache.OldCache.KeySet`

All Implemented Interfaces:
  Serializable, Iterable, Collection, Set

Enclosing class:
  OldCache

      protected class OldCache.KeySet

extends SafeHashMap.KeySet

A set of entries backed by this map.

Constructor Summary
`protected` | `OldCache.KeySet()`

Method Summary
`Object[]` | `toArray(Object[] ao)` Returns an array with a runtime type is that of the specified array and that contains all of the elements in this collection.

Methods inherited from class com.tangosol.util.SafeHashMap.KeySet
`clear, contains, iterator, remove, size, toArray`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, retainAll, toString`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, isEmpty, retainAll`

Constructor Detail

### OldCache.KeySet

    protected OldCache.KeySet()

Method Detail

### toArray

    public Object[] toArray(Object[] ao)

  Returns an array with a runtime type is that of the specified array and that contains all of the elements in this collection. If the collection fits in the specified array, it is returned therein. Otherwise, a new array is allocated with the runtime type of the specified array and the size of this collection.

  If the collection fits in the specified array with room to spare (i.e., the array has more elements than the collection), the element in the array immediately following the end of the collection is set to `null`. This is useful in determining the length of the collection only if the caller knows that the collection does not contain any `null` elements.)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `Set`
  Overrides:
    `toArray` in class `SafeHashMap.KeySet`
  Parameters:
    `ao` - the array into which the elements of the collection are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose
  Returns:
    an array containing the elements of the collection
  Throws:
    `ArrayStoreException` - if the runtime type of the specified array is not a supertype of the runtime type of every element in this collection

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.